DUMPKEYS(1)

NAZWA
dumpkeys - wypisz tabele translacji klawiatury

SKŁADNIA
dumpkeys [ -hilfn -ccharset --help --short-info --long-info --numeric --full-table --funcs-only --keys-only --compose-only --charset=charset ]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

dumpkeys zapisuje na standardowe wyjście obecną zawartość tablic translacji sterownika klawiatury. Formatem wyjściowym jest ten sam format, którego używa keymaps(5).

Przy użyciu różnych opcji, można kontrolować format wyjścia, a także uzyskać inne dane od jądra i programów dumpkeys(1) oraz loadkeys(1).

OPCJE

-h --help
    Wydrukuj wersję programu i krótką informację o jego użyciu. Drukuj na stderr i zakończ program.

-i --short-info
    Wydrukuj niektóre parametry sterownika klawiatury. Pokazywane elementy włączają:

    Keycode range supported by kernel (zakres kodów klawiszy, obsługiwanych przez jądro)

        Mówi to, które wartości mogą być użyte po słowie kluczowym keycode w plikach z tablicami klawiszy (keytable). Zobacz keymaps(5) aby dowiedzieć się więcej o formacie tych plików.

    Number of actions bindable to a key (ilość akcji, które można przypisać do klawisza)

        Mówi, ile różnych akcji można przypisać do danego klawisza przy użyciu różnych klawiszy modyfikujących. Jeśli wartość ta wynosi np. 16, możesz zdefiniować do 16 różnych akcji na klawisz (w kombinacji z modyfikatorami). Jeśli wartość wynosi 16, to jądro prawdopodobnie zna około czterech klawiszy modyfikujących, które możesz nacisnąć w różnych kombinacjach z danym normalnym klawiszem.

    Ranges of action codes supported by the kernel (zakresy kodów akcji obsługiwanych przez jądro)

        To pole zawiera listę zakresów kodów akcji w notacji szesnastkowej. Są to wartości, które mogą być użyte po prawej stronie definicji klawisza, np. symbole vv w linii

            keycode xx = vv vv vv vv

        (Zobacz keymaps(5) aby poznać dalsze szczegóły formatu linii definicji klawisza). dumpkeys(1) i loadkeys(1) obsługują notację symboliczną, która jest bardziej preferowana niż numeryczna, gdyż kody akcji mogą się różnić w różnych wersjach jądra, podczas gdy nazwy symboliczne zwykle pozostają jednakowe. Jednak mimo wszystko lista zakresów kodów akcji może zostać użyta do sprawdzenia czy jądro rzeczywiście obsługuje wszystkie symbole, które zna loadkeys(1), czy też może istnieją jakieś akcje jądra, które nie są nazwane w programie loadkeys(1) Aby to sprawdzić, porównaj listę zakresów z listą symboli akcji; zobacz niżej opcję --long-info.

    Number of function keys supported by kernel (liczba klawiszy funkcyjnych, obsługiwanych przez jądro)

        Określa to liczbę kodów akcji, które mogą zostać użyte do wyprowadzania ciągów znaków. Te kody akcji tradycyjnie są przypisane do różnych klawiszy funkcyjnych i edytujących klawiatury i są zdefiniowane tak, aby wysyłały sekwencje eskejpowe. Jednakże możesz przedefiniować je aby wysyłały często używane polecenia, adresy e-mail czy jeszcze coś innego. Szczególnie jeśli liczba tych elementów jest większa niż liczba klawiszy funkcyjnych i edytujących twojej klawiatury, możesz wykorzystać niektóre "wolne" kody akcji, które można przypisać np. do kombinacji AltGr-litera aby wysyłały przydatne ciągi znaków. Zobacz loadkeys(1) jeśli interesują cię szczegóły.

    Function strings (funkcyjne ciągi znaków)

        Możesz obejrzeć obecne definicje klawiszy z pomocą polecenia

            dumpkeys --funcs-only

-l --long-info
    Opcja ta nakazuje dumpkeys wydrukowanie długiego listingu informacyjnego. Wyjście jest takie samo jak z opcją --short-info z dodaną listą symboli obsługiwanych przez loadkeys(1) i dumpkeys(1), wraz z ich wartościami numerycznymi.

-n --numeric
    Opcja ta powoduje, że dumpkeys pomija konwersję kodów akcji na notację symboliczną i drukuje je w formacie szesnastkowym.

-f --full-table
    Powoduje to, że dumpkeys pomija wszystkie heurystyki short-hand. (zobacz keymaps(5)) i na wyjściu wypisuje powiązania klawiszy w formie kanonicznej. Najpierw linię w formacie keymaps opisującą aktualnie zdefiniowane kombinacje modyfikatorów. Następnie dla każdego klawisza drukowany jest wiersz zawierający kolumny dla wszystkich kombinacji modyfikatorów. Na przykład, jeśli aktualnie używana mapa klawiatury korzysta z siedmiu modyfikatorów, to każdy wiersz będzie miał siedem kolumn akcji. Format ten może być przydatny dla programów przetwarzających wyjście dumpkeys.

--funcs-only
    Gdy podana jest ta opcja, dumpkeys drukuje tylko ciągi definicyjne klawiszy funkcyjnych. Normalnie dumpkeys drukuje zarówno przypisania klawiszy, jak i te definicje.

--keys-only
    Gdy podana jest ta opcja, dumpkeys drukuje tylko powiązania klawiszy. Normalne zachowanie jest j/w.

--compose-only
    Gdy podana jest ta opcja, dumpkeys drukuje tylko kombinacje klawiszy kompozycji (compose keys). Opcja ta jest dostępna tylko jeśli twoje jądro obsługuje te klawisze.

-ccharset  --charset=charset
    Powiadamia to dumpkeys aby interpretował wartości kodów znaków wg określonego zestawu znaków (character set, charset). Dotyczy to tylko tłumaczenia kodowych wartości znaków na nazwy symboliczne. Prawidłowe wartości charset to: iso-8859-X, gdzie X jest cyfrą z zakresu 1-9. Jeśli nie poda się parametru charset, Domyślnie zostanie użyty iso-8859-1. Ta opcja wypisuje także linię `charset "iso-8859-X"', informującą loadkeys, jak zinterpretować mapę klawiszy (keymap). (Np. "division" to 0xf7 w iso-8859-1, lecz 0xba w iso-8859-8.)

PLIKI
/usr/share/keymaps
    zalecany katalog plików tablic klawiszowych

ZOBACZ TAKŻE
loadkeys(1), kemaps(5)

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 dumpkeys

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.